Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_net
Version:	1.2.7
Release:	2	
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.libsdl.org/projects/SDL_net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	This is a small sample cross-platform networking library.
BuildRequires:	SDL-devel GUIlib-devel

%description
This is a small sample cross-platform networking library,
with a sample chat client and server application.
The chat client uses the GUIlib GUI framework library.
For more details see: http://www.libsdl.org/projects/SDL_net/

%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-2
- rebuilt against SDL 1.2.13
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-3
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-2
- rebuilt against SDL 1.2.10
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.6-1
- Update to Version 1.2.6
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.5-4
- rebuilt for SourceRPM
